unit sp_Lib_Delphi_1Cv8;
interface
(*
  -   :
     "Delphi  1:.  "
*)

Uses
  //__IO,
  sp_Lib_Delphi,
  Dialogs,
  Consts,
  ComObj,
  FileCtrl,
  registry,
  classes,
  windows,
  SysUtils;


// 1: v8    OLE Automation
function ConnectTo1C8_Application(s1cAppProgID,InitLine : string;Visible : boolean) : Variant;
// 1: v8   COM-
function ConnectTo1C8_COM(s1cAppProgID,InitLine : string) : Variant;


implementation


function ConnectTo1C8_Application(s1cAppProgID,
                                  InitLine : string;
                                  Visible : boolean) : Variant;
// 1: v8    OLE Automation
//: N1 (OLE Automation Client/Server)
//. : http://d1cv8.narod.ru/top_003/d1cv8_20070827_001/d1cv8_20070827_002.htm
{
s1cAppProgID -  1Cv8,   OLE Automation (  ))
   V8.Application
InitLine ( ) :
    .. :
    File=\Trade
    Usr=
    Pwd=
  -  .. :
    Srvr=Server1C ( ,     1)
    Ref=Trade (      1)
    Usr=
    Pwd=
}
//InitLine -  
//Visible -  TRUE,    1Cv8    
//  :   1Cv8,   OLE Automation
//                          Unassigned (  )
Var
  s1CResOpen : integer;
begin
  Result:=Unassigned;
  s1cAppProgID:=Trim(s1cAppProgID);
  if Length(s1cAppProgID)<=0 then s1cAppProgID:='V8.Application';
  InitLine:=Trim(InitLine);
  if Length(s1cAppProgID)>0 then begin
     // 
     Result := CreateOleObject(s1cAppProgID);
     //  
     if YesLinkToVariant(Result) then begin
        //  1Cv8
        s1CResOpen:=Result.Connect(InitLine);
        //  1Cv8
        Result.Visible:=Visible;
     end;
  end;
end;


function ConnectTo1C8_COM(s1cAppProgID,InitLine : string) : Variant;
//  1Cv8 (COM)
//s1cAppProgID -  . COM-  1Cv8 (  )
//InitLine -   (  ,    ConnectTo1C8_Application())
//  :   . COM-  1Cv8
//                          Unassigned (  )
begin
  Result:=Unassigned;
  s1cAppProgID:=Trim(s1cAppProgID);
  if Length(s1cAppProgID)<=0 then s1cAppProgID:='v8.COMConnector';
  InitLine:=Trim(InitLine);
  if Length(s1cAppProgID)>0 then begin
     //  (.COM-)
     Result := CreateOleObject(s1cAppProgID);
     //  
     if YesLinkToVariant(Result) then begin
        //  1Cv8     COM-
        Result:=Result.Connect(InitLine);
     end;
  end;
end;


end.







